IPython Notebook: Fix naming of files according to extensions, follow guidelines
[slapos.git] / software / ipython_notebook / software.cfg
1 [buildout]
2 versions = versions
3 extends = 
4   ../../stack/slapos.cfg
5   ../../stack/monitor/buildout.cfg
6   ../../component/ipython/buildout.cfg
7   ../../component/scipy/buildout.cfg
8   ../../component/scikit-learn/buildout.cfg
9   ../../component/pandas/buildout.cfg
10   ../../component/openssl/buildout.cfg
11 parts =
12   monitor-eggs
13   slapos-cookbook
14   ipython-notebook
15   ipython-notebook-set-password
16   instance
17
18 [ipython-notebook]
19 ; In the ipython notebook software, we use more eggs than in the minimal
20 ; ipython notebook component
21 eggs +=
22   ${scipy:egg}
23   ${pandas:egg}
24   ${scikit-learn:egg}
25
26 [ipython-notebook-config]
27 recipe = hexagonit.recipe.download
28 url = ${:_profile_base_location_}/template/${:filename}
29 download-only = true
30 md5sum = a5bc4ee8539109d1de7ab33b4c2c97ea
31 destination = ${buildout:parts-directory}/${:_buildout_section_name_}
32 filename = ipython_notebook_config.py.jinja
33 mode = 0644
34
35 [ipython-notebook-set-password]
36 recipe = hexagonit.recipe.download
37 url = ${:_profile_base_location_}/template/${:filename}
38 download-only = true
39 md5sum = d7d4a7e19d55bf14007819258bf42100
40 destination = ${buildout:parts-directory}/${:_buildout_section_name_}
41 filename = ipython_set_password.cgi.jinja
42 mode = 0644
43
44 [instance]
45 recipe = slapos.recipe.template
46 url = ${:_profile_base_location_}/instance.cfg
47 output = ${buildout:directory}/instance.cfg
48
49
50
51
52 [versions]
53 PyRSS2Gen = 1.1
54 Pygments = 2.0.2
55 cns.recipe.symlink = 0.2.3
56 ipython = 3.2.0
57 matplotlib = 1.4.3
58 mistune = 0.6
59 nose = 1.3.7
60 numpy = 1.9.2
61 pandas = 0.16.2
62 plone.recipe.command = 1.1
63 pyzmq = 14.7.0
64 scikit-learn = 0.16.1
65 scipy = 0.15.1
66 slapos.recipe.template = 2.8
67 terminado = 0.5
68 tornado = 4.2
69
70 # Required by:
71 # tornado==4.2
72 backports.ssl-match-hostname = 3.4.0.2
73
74 # Required by:
75 # tornado==4.2
76 certifi = 2015.4.28
77
78 # Required by:
79 # mock==1.1.3
80 funcsigs = 0.4
81
82 # Required by:
83 # matplotlib==1.4.3
84 mock = 1.1.3
85
86 # Required by:
87 # terminado==0.5
88 ptyprocess = 0.5
89
90 # Required by:
91 # matplotlib==1.4.3
92 # pandas==0.16.2
93 python-dateutil = 2.4.2